package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 弹性伸缩告警任务
 * 
 * @author ymh
 * @时间 2019年11月25日
 */
@Table("auto_scaling_alarmtask")
public class AutoScalingAlarmTask extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vendor_id")
    private Long vendorId; // 云供应商ID
    @Column("region_id")
    private String regionId;

    @Column("alarm_type")
    private String alarmType; // 类型
    @Column("comparison_operator")
    private String comparisonOperator; // 条件
    @Column("comparison_operator_value")
    private String comparisonOperatorValue;
    @Column("granularity")
    private Integer granularity; // 检查周期
    @Column("evaluation_periods")
    private Integer evaluationPeriods; // 连续几个周期才算有效
    @Column("scaling_adjustment")
    private Integer scalingAdjustment; // 伸缩数量
    @Column("adjustment_type")
    private String adjustmentType; // 伸缩规则
    @Column("auto_scaling_id")
    private Long autoScalingId;
    @Column("alarm_auto_scaling_type")
    private String alarmAutoScalingType;
    @Column("alarm_policy")
    private String alarmPolicy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getComparisonOperator() {
        return comparisonOperator;
    }

    public void setComparisonOperator(String comparisonOperator) {
        this.comparisonOperator = comparisonOperator;
    }

    public Integer getGranularity() {
        return granularity;
    }

    public void setGranularity(Integer granularity) {
        this.granularity = granularity;
    }

    public Integer getEvaluationPeriods() {
        return evaluationPeriods;
    }

    public void setEvaluationPeriods(Integer evaluationPeriods) {
        this.evaluationPeriods = evaluationPeriods;
    }

    public Integer getScalingAdjustment() {
        return scalingAdjustment;
    }

    public void setScalingAdjustment(Integer scalingAdjustment) {
        this.scalingAdjustment = scalingAdjustment;
    }

    public String getAdjustmentType() {
        return adjustmentType;
    }

    public void setAdjustmentType(String adjustmentType) {
        this.adjustmentType = adjustmentType;
    }

    public Long getAutoScalingId() {
        return autoScalingId;
    }

    public void setAutoScalingId(Long autoScalingId) {
        this.autoScalingId = autoScalingId;
    }

    public String getAlarmAutoScalingType() {
        return alarmAutoScalingType;
    }

    public void setAlarmAutoScalingType(String alarmAutoScalingType) {
        this.alarmAutoScalingType = alarmAutoScalingType;
    }

    public String getComparisonOperatorValue() {
        return comparisonOperatorValue;
    }

    public void setComparisonOperatorValue(String comparisonOperatorValue) {
        this.comparisonOperatorValue = comparisonOperatorValue;
    }

    public String getAlarmPolicy() {
        return alarmPolicy;
    }

    public void setAlarmPolicy(String alarmPolicy) {
        this.alarmPolicy = alarmPolicy;
    }

}
